# Created by pyp2rpm-3.3.8
%global pypi_name python-periphery
%global pypi_version 2.3.0
%global srcname periphery

Name:           python-%{srcname}
Version:        %{pypi_version}
Release:        1%{?dist}.2
Summary:        A pure Python 2/3 library for peripheral I/O (GPIO, LED, PWM, SPI, I2C, MMIO, Serial) in Linux

License:        MIT
URL:            https://github.com/vsergeev/python-periphery
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
python-periphery is a pure Python library for GPIO, LED, PWM, SPI, I2C, MMIO,
and Serial peripheral I/O interface access in userspace Linux. It is useful in
embedded Linux environments (including Raspberry Pi, BeagleBone, etc.
platforms) for interfacing with external peripherals. python-periphery is
compatible with Python 2 and Python 3, is written in pure Python, and is MIT
licensed.

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
python-periphery is a pure Python library for GPIO, LED, PWM, SPI, I2C, MMIO,
and Serial peripheral I/O interface access in userspace Linux. It is useful in
embedded Linux environments (including Raspberry Pi, BeagleBone, etc.
platforms) for interfacing with external peripherals. python-periphery is
compatible with Python 2 and Python 3, is written in pure Python, and is MIT
licensed.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/periphery
%{python3_sitelib}/python_periphery-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Aug 28 2022 Oleg Girko <ol@infoserver.lv> - 2.3.0-1
- Initial package.
